Summary:	Parallel solver for very large sparse linear systems
Name:		pastix
Version:	5.1.2
Release:	2200
License:	CeCILL-C
Group:		Applications/Library
Source:		pastix_release_%release.tar.bz2
Source1:	config.in
# The patches below remove some annoying messages
Patch0:		pastix-mesg.patch
Patch1:		kass-mesg.patch
Patch2:		pastix-gcc296.patch
Patch3:		pastix-gcc296-fortran.patch
URL:		https://gforge.inria.fr/projects/pastix/
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)
BuildArch:	i386 x86_64
Requires:	scotch metis
BuildRequires:	scotch metis
Prefix:		/usr

%description
PaStiX (Parallel Sparse matriX package) is a scientific library that provides a high performance parallel solver for very large sparse linear systems based on direct and block ILU(k) iterative methods.

%prep
%setup -q -n pastix_release_%release
%patch0 -p1
%patch1 -p1
cp $RPM_SOURCE_DIR/config.in src/config.in
if mpicc --version | grep '2\.96' >/dev/null 2>&1; then
    # LSSC2
    patch -p1 < $RPM_SOURCE_DIR/pastix-gcc296.patch
    patch -p1 < $RPM_SOURCE_DIR/pastix-gcc296-fortran.patch
fi

%build
(cd src; make expor && make install)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
mkdir tmp
cd tmp
for a in ../install/{libpastix,libpastix_murge}.a; do
    if test "$a" = "../install/libpastix.a"; then
	# Note: there are two symbol_cost.o in the archive
	ar x ../bin/i686_pc_linux/libblend3d.a symbol_cost.o
	mv symbol_cost.o symbol_cost-blend3d.o
    fi
    ar x $a
    s="`basename $a | sed -e 's/\.a$/\.so/g'`"
    gcc -shared -o $RPM_BUILD_ROOT%{_libdir}/$s *.o
    rm -f *.o 
done
cd ..
rmdir tmp

#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#/bin/cp install/pastix-conf >$RPM_BUILD_ROOT%{_bindir}/.
#chmod a+x $RPM_BUILD_ROOT%{_bindir}/pastix-conf

/bin/cp install/{cscd_utils,csc_utils,pastix_fortran,pastix}.h \
	$RPM_BUILD_ROOT%{_includedir}/.
/bin/chmod -R a+rX $RPM_BUILD_ROOT/.

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc doc/refcard.pdf src/README.txt src/Revision src/INSTALL.txt src/Licence_CeCILL_V2-en.txt
/*

%changelog
